/***********************************************************************/
/*  This file is part of the ARM Toolchain package                     */
/*  Copyright KEIL ELEKTRONIK GmbH 2003 - 2006                         */
/***********************************************************************/
/*                                                                     */
/*  FlashDev.C:  Device Description for SST39x3201 (16-bit Bus) flash  */
/*               used on the LPC1850 Hitex board                       */
/*                                                                     */
/***********************************************************************/

#include "..\FlashOS.H"        // FlashOS Structures


struct FlashDevice const FlashDevice  =  {
   FLASH_DRV_VERS,             // Driver Version, do not modify!
   "SST39x3201 Flash",         // Device Name
   EXT16BIT,                   // Device Type
   0x1C000000,                 // Device Start Address when CS0 is used
   0x00400000,                 // Device Size in Bytes (4MB)
   1024,                       // Programming Page Size
   0,                          // Reserved, must be 0
   0xFF,                       // Initial Content of Erased Memory
   100,                        // Program Page Timeout 100 mSec
   1000,                       // Erase Sector Timeout 1 Sec

// Specify the sector sizes and the relative start address of the first sector
   0x001000, 0x000000,         // Sector Size 4kB (1024 Sectors)
   SECTOR_END
};
